;; -*- emacs-lisp -*-
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; $Id: emacs_faces.el,v 1.9 2006-11-06 21:02:42 rscholz Exp $
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; Einstellungen zu Faces und hnlichen Dingen
;;
;; Die offizielle Quelle dieser Datei ist
;;   <http://www.zonix.de/projects/emacs/config>
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;; Face-List und Color-Theme von Alex Schroeder
(require 'face-list)
(require 'color-theme)

;; Passende Klamme erleuchten
(show-paren-mode 1)
(set-face-background 'show-paren-match-face "Lightgreen")

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; In den wichtigen Modes (C, C++, Perl, TeX...) 
;;; TODO, FIXME und $$!! hervorheben. 
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(defun hjficker/fixme-highlight-modes (alist) 
   (if alist
       (progn
 	(font-lock-add-keywords 
 	 (car alist)
 	 '(("\\<\\(\\$\\$!!\\|FIXME\\|TODO\\)" 1 font-lock-warning-face prepend)))
 	(hjficker/fixme-highlight-modes (cdr alist)))))

(hjficker/fixme-highlight-modes 
 '(c-mode c++-mode perl-mode lisp-mode shell-script-mode 
	  tex-mode latex-mode LaTeX-mode emacs-lisp-mode))

;; fr eigene Macros \FIXME / \TODO in tex
(font-lock-add-keywords 
 'latex-mode 
 '(("\\\\\\(FIXME\\|TODO\\)"
    (1 font-lock-warning-face prepend))
   ("\\\\\\(FIXME\\|TODO\\){\\([^}]+\\)"
    (2 'italic keep))))

