;; -*- emacs-lisp -*-
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; $Id: gnus_pgp.el,v 1.7 2001/11/24 22:01:37 rscholz Exp $
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; Interne PGP/GPG/SMIME-Untersttzung von Gnus
;;
;; Die offizielle Quelle dieser Datei ist
;;   <http://www.zonix.de/html40/linux/emacsgnus.html>
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;; gpg.el benutzen

(setq mml2015-use 'gpg)
(setq gpg-passphrase-timeout 900)
(setq gpg-temp-directory "~/.gnupg/tmp/")

;; MailCrypt benutzen
;(setq mml2015-use 'mailcrypt)

;; nur auf Anfrage verifizieren / entschluesseln
(setq mm-verify-option 'never)
(setq mm-decrypt-option 'never)

;; Security-Buttons anzeigen
(setq gnus-buttonized-mime-types '("multipart/encrypted" "multipart/signed"))

; <#part encrypt=pgpmime sender="you@home" recipients="someone@somewhere">
;; automatisch signieren
(defun zsh/mml-pgp-sign-automatically ()
  (interactive)
  (message-goto-body)
  (if (save-excursion
	(re-search-forward 
	 "<#\\(/\\)?\\(multipart\\|part\\|external\\|mml\\)." nil t))
      (insert "<#multipart sign=pgpmime>\n")
    (insert "<#part sign=pgpmime>\n")))

;(add-hook 'message-send-hook 'zsh/mml-pgp-sign-automatically)

;;Inline-Anzeige von application/pgp-Mails
(add-to-list 'mm-inlined-types "application/pgp$")
(add-to-list 'mm-automatic-display "application/pgp$")
(add-to-list 'mm-inline-media-tests '("application/pgp$" mm-inline-text identity))


